Xerces-C++: Parser Class Reference

Xerces-C++ 3.2.0

List of all members
Parser Class Referenceabstract

Basic interface for SAX (Simple API for XML) parsers. More...

Inheritance diagram for Parser:

## Public Member Functions
Constructors and Destructor
| Parser ()
| The default constructor. More...
virtual | ~Parser ()
| The destructor. More...
The parser interfaces
virtual void | setEntityResolver (EntityResolver *const resolver)=0
| Allow an application to register a custom entity resolver. More...
virtual void | setDTDHandler (DTDHandler *const handler)=0
| Allow an application to register a DTD event handler. More...
virtual void | setDocumentHandler (DocumentHandler *const handler)=0
| Allow an application to register a document event handler. More...
virtual void | setErrorHandler (ErrorHandler *const handler)=0
| Allow an application to register an error event handler. More...
virtual void | parse (const InputSource &source)=0
| Parse an XML document. More...
virtual void | parse (const XMLCh *const systemId)=0
| Parse an XML document from a system identifier (URI). More...
virtual void | parse (const char *const systemId)=0
| Parse an XML document from a system identifier (URI). More...

## Detailed Description

Basic interface for SAX (Simple API for XML) parsers.

All SAX parsers must implement this basic interface: it allows applications to register handlers for different types of events and to initiate a parse from a URI, or a character stream.

All SAX parsers must also implement a zero-argument constructor (though other constructors are also allowed).

SAX parsers are reusable but not re-entrant: the application may reuse a parser object (possibly with a different input source) once the first parse has completed successfully, but it may not invoke the parse() methods recursively within a parse.

See also
  EntityResolver::EntityResolver
  DTDHandler::DTDHandler
  DocumentHandler::DocumentHandler
  ErrorHandler::ErrorHandler
  HandlerBase::HandlerBase
  InputSource::InputSource

## Constructor & Destructor Documentation

## ◆ Parser()

Parser::Parser | ( |  | ) |

The default constructor.

## ◆ ~Parser()

virtual Parser::~Parser | ( |  | ) |
| virtual

The destructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ parse() [1/3]

virtual void Parser::parse | ( | const InputSource & | source | ) |
| pure virtual

Parse an XML document.

The application can use this method to instruct the SAX parser to begin parsing an XML document from any valid input source (a character stream, a byte stream, or a URI).

Applications may not invoke this method while a parse is in progress (they should create a new Parser instead for each additional XML document). Once a parse is complete, an application may reuse the same Parser object, possibly with a different input source.

Parameters

  source | The input source for the top-level of the XML document.

Exceptions

  SAXException | Any SAX exception, possibly wrapping another exception.
  XMLException | An exception from the parser or client handler code.

See also
  InputSource::InputSource
  setEntityResolver
  setDTDHandler
  setDocumentHandler
  setErrorHandler

Implemented in SAXParser.

## ◆ parse() [2/3]

virtual void Parser::parse | ( | const XMLCh *const | systemId | ) |
| pure virtual

Parse an XML document from a system identifier (URI).

This method is a shortcut for the common case of reading a document from a system identifier. It is the exact equivalent of the following:

parse(new URLInputSource(systemId));

If the system identifier is a URL, it must be fully resolved by the application before it is passed to the parser.

Parameters

  systemId | The system identifier (URI).

Exceptions

  SAXException | Any SAX exception, possibly wrapping another exception.
  XMLException | An exception from the parser or client handler code.

See also
  parse(const InputSource&)

Implemented in SAXParser.

## ◆ parse() [3/3]

virtual void Parser::parse | ( | const char *const | systemId | ) |
| pure virtual

Parse an XML document from a system identifier (URI).

This method is a shortcut for the common case of reading a document from a system identifier. It is the exact equivalent of the following:

parse(new URLInputSource(systemId));

If the system identifier is a URL, it must be fully resolved by the application before it is passed to the parser.

Parameters

  systemId | The system identifier (URI).

Exceptions

  SAXException | Any SAX exception, possibly wrapping another exception.
  XMLException | An exception from the parser or client handler code.

See also
  parse(const InputSource&)

Implemented in SAXParser.

## ◆ setDocumentHandler()

virtual void Parser::setDocumentHandler | ( | DocumentHandler *const | handler | ) |
| pure virtual

Allow an application to register a document event handler.

If the application does not register a document handler, all document events reported by the SAX parser will be silently ignored (this is the default behaviour implemented by HandlerBase).

Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

Parameters

  handler | The document handler.

See also
  DocumentHandler::DocumentHandler
  HandlerBase::HandlerBase

Implemented in SAXParser.

## ◆ setDTDHandler()

virtual void Parser::setDTDHandler | ( | DTDHandler *const | handler | ) |
| pure virtual

Allow an application to register a DTD event handler.

If the application does not register a DTD handler, all DTD events reported by the SAX parser will be silently ignored (this is the default behaviour implemented by HandlerBase).

Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

Parameters

  handler | The DTD handler.

See also
  DTDHandler::DTDHandler
  HandlerBase::HandlerBase

Implemented in SAXParser.

## ◆ setEntityResolver()

virtual void Parser::setEntityResolver | ( | EntityResolver *const | resolver | ) |
| pure virtual

Allow an application to register a custom entity resolver.

If the application does not register an entity resolver, the SAX parser will resolve system identifiers and open connections to entities itself (this is the default behaviour implemented in HandlerBase).

Applications may register a new or different entity resolver in the middle of a parse, and the SAX parser must begin using the new resolver immediately.

Parameters

  resolver | The object for resolving entities.

See also
  EntityResolver::EntityResolver
  HandlerBase::HandlerBase

Implemented in SAXParser.

## ◆ setErrorHandler()

virtual void Parser::setErrorHandler | ( | ErrorHandler *const | handler | ) |
| pure virtual

Allow an application to register an error event handler.

If the application does not register an error event handler, all error events reported by the SAX parser will be silently ignored, except for fatalError, which will throw a SAXException (this is the default behaviour implemented by HandlerBase).

Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

Parameters

  handler | The error handler.

See also
  ErrorHandler::ErrorHandler
  SAXException::SAXException
  HandlerBase::HandlerBase

Implemented in SAXParser.

The documentation for this class was generated from the following file:

- Parser.hpp